Bug 60995 - config.guess misplaced, can't be found by dejagnu
Summary: config.guess misplaced, can't be found by dejagnu
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dejagnu (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-11 17:17 UTC by Miloslav Trmac
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-05 23:01:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes the bug (3.76 KB, patch)
2002-04-21 14:03 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2002-03-11 17:17:14 UTC
Description of problem:
dejagnu can't find the config.guess file distributed with dejagnu in
/usr/libexec. Looking in runtest.exp, it is looking for the file in
$libdir $libdir/libexec $libdir/.. $execpath $srcdir $srcdir/.. $srcdir/../..
So there is some choice where to put it, putting it in /usr/share/dejagnu solves
the problem.

How reproducible:
Always

Steps to Reproduce:
1.Create a minimal automake project using dejagnu without its own config.guess
(yeah, a "trivial step").


Additional info:
cd /usr/share/dejagnu; ln -s /usr/libexec/config.guess config.guess
works around the problem.

Comment 1 Miloslav Trmac 2002-04-21 14:03:11 UTC
Created attachment 54764 [details]
Patch that fixes the bug

Comment 2 Miloslav Trmac 2002-04-21 14:04:05 UTC
OK, here is a patch (to the specfile and replacing an included Makefile patch) that
also handles #60996.

The config.guess is placed to /usr/share/dejagnu/libexec, as that is where the
Makefile apparently tried to place it (but was overriden by the RPM build system).

The documentation files overview.{ps,pdf} are included. Maybe there are some
BuildPrereq's missing, I added only the obvious ones and those packages I had to
install to be able to build dejagnu.

I hope this can get to 7.3 yet...

Comment 3 Miloslav Trmac 2002-10-05 23:00:53 UTC
Same behaviour in 8.0

Comment 4 Jakub Jelinek 2002-11-27 17:50:06 UTC
Should be fixed in dejagnu-1.4.2-7 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.